# "A Polish "machine gun" developed in darkness during WWII, locked away in a museum."

The **[Teterycz machine gun](https://guns.fandom.com/wiki/Teterycz_machine_gun)**, also known as the **Teteryka LMG**, is an improvised machine gun developed in German-occupied Poland in 1942. It is made by gunsmith Franciszka Teterycza and assistant Stanisław Szewczuk in the dead of night for 3 months, being completed in December 1942. The Teterycz was tested by partisans and found to be dangerous to the shooter, cause case ruptures and even bent the barrel after fire. The recoil spring consisted of three Kar98k bolt springs bundled together, and was equipped with a Karabinek wz. 1929 barrel. The Teterycz was later hidden in a pigpen for almost 30 years as the gunsmith was forcibly relocated, before being rediscovered in 1970, and is now currently stored in a Polish museum, locked away outside of public access. There is only one photograph of the Teterycz, in low resolution at that, and very little in terms of design documents. The creator of the gun, Teterycza, survived the war and openly discussed his firearm in 1977.

The Teterycz and its magazine as modelled by [Jan Andreas](https://www.artstation.com/artwork/48QLK8) (A.K.A Knightgalahad#7530), with a few minor fixes and new textures from me. The Teterycz magazine contains 20 rounds, and fires in 7.92x57mm Mauser. The bolt is a block of metal underneath the rear sight. Due to the obscure nature of the Teterycz and its information (a single photograph), this mod will have conjecture in terms of fire rate and how the gun actually mechanically operates.

I absolutely adore rare and obscure pieces like this, and this was in the making for ***months***, thanks to a good old dose of procrastination. Now I'm finishing it and giving a niche gun to the modding scene, and hoping to see it featured in more games.

*This mod was featured in Modmass 2022!*

## Features
- The Teterycz is listed under the Machine Gun section of the item spawner, firing at ~625 RPM, with a 20 round magazine, and is chambered in 7.92x57mm Mauser.
- There is no safety, and fires only in full automatic.
- A functional magazine follower!

# Changelog

### 1.0.0
- Initial release